Reply to topic

KDE wallet not accessible after update

armandoota
Registered Member
Posts
2
Karma
0
Hey guys ...

I've updated KDE yesterday and today KDE wallet pass is not working, rendering all paaswords unavailable.

I've created new wallet and it's working .. but old one ... no no ... Epic foobar.

Any help appreciated.

Regards

Armando
Karsten Diem
Registered Member
Posts
3
Karma
0
Hey Armando,

I've just encountered the exact same problem on my KDE Neon 5.19 System after upgrading wallet-related packages.
You might want to head over to https://bugs.kde.org/show_bug.cgi?id=345412#c47
and check, if this solution (temporarily downgrading packages) works for you.

Kind regards,
Karsten
Escapee
Registered Member
Posts
3
Karma
0
WARNING WARNING WARNING

DO NOT USE THIS FIX

IT WILL BREAK YOUR SYSTEM

I am not able to log on after applying fix
mercurial
Registered Member
Posts
27
Karma
0
Yeah, I lost access to KDEWallet as a result of the upgrade. All Chrome passwords gone! Very annoying!

There's some weirdness I had with this in the past, too. I don't think the wallet manager password syncs with new system passwords. So if you've changed your system password and you forget the old one, then you're stuffed.
Anyway, just guessing...

Hopefully a fix will descend somewhere from the angels... ;D
mercurial
Registered Member
Posts
27
Karma
0
A solution DID descend from the angels! :D

Karsten, you're an angel! Downgrading worked:

https://bugs.kde.org/show_bug.cgi?id=345412#c47

His comment 47 saved me!
Karsten Diem
Registered Member
Posts
3
Karma
0
Hey folks,

just wanted to let you know that the mentioned fix isn't needed anymore,
since the packages in archive.neon.kde.org's repository have been fixed.

If you have created fix_broken_kwallet.pref in /etc/apt/preferences.d/, simply delete (or rename, for testing purposes) it,
check for and install updates, and you should be good to go - at least if you're on KDE Neon 5.19.

@mercurial: glad it helped, now simply remove the fix (and maybe reboot).. 8) o)

@Escapee: sorry it didn't help you. Remove the mentioned .pref file and run apt update/upgrade in rescue system, then you should be fine again. What distribution are you using? The fix was primarily meant for KDE Neon 5.19.

Cheers,
Karsten
mercurial
Registered Member
Posts
27
Karma
0
So we can update/ upgrade safely now?

Karsten Diem wrote:Hey folks,

just wanted to let you know that the mentioned fix isn't needed anymore,
since the packages in archive.neon.kde.org's repository have been fixed.

If you have created fix_broken_kwallet.pref in /etc/apt/preferences.d/, simply delete (or rename, for testing purposes) it,
check for and install updates, and you should be good to go - at least if you're on KDE Neon 5.19.

@mercurial: glad it helped, now simply remove the fix (and maybe reboot).. 8) o)

@Escapee: sorry it didn't help you. Remove the mentioned .pref file and run apt update/upgrade in rescue system, then you should be fine again. What distribution are you using? The fix was primarily meant for KDE Neon 5.19.

Cheers,
Karsten
Karsten Diem
Registered Member
Posts
3
Karma
0
If you're on KDE Neon 5.19, yes.
At least I had no problems after upgrading. o)

Just try it out. In case it doesn't work, you can downgrade the bad packages again..
mercurial
Registered Member
Posts
27
Karma
0
All good now. Thanks.
Karsten Diem wrote:If you're on KDE Neon 5.19, yes.
At least I had no problems after upgrading. o)

Just try it out. In case it doesn't work, you can downgrade the bad packages again..

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], claydoh, fozziebear, Google [Bot], idriskalp, Sogou [Bot], spoontex, tymond, Yahoo [Bot]